import request from '@/utils/request'

export function loginByUsername(username, password, code, token, t) {
  const data = {
    username,
    password,
    code,
    token,
    t
  }
  // 登录
  return request({
    url: '/login',
    method: 'post',
    params: data
  })
}

// 登出
export function logout() {
  return request({
    url: '/log_out',
    method: 'get'
  })
}

export function getUserInfo() {
  return request({
    // url: '/info',
    url: '/user_base_info',
    method: 'get'
  })
}
