import request from '@/utils/request'

//获取概括统计信息
export function census (param) {
    return request({
      url: '/generalize/manager',
      method: 'get',
      params: param
    })
  }

//获取所有用户的信息
export function userManager (param) {
  return request({
    url: '/user_auth/manager/list',
    method: 'post',
    params: param
  })
}

//获取付费会员的统计信息
export function censusVip (param) {
    return request({
      url: '/user_auth/manager',
      method: 'post',
      params: param
    })
  }

// 获取相亲列表
export function datelist (param) {
    return request({
      url: '/verify/manager/list',
      method: 'post',
      params: param
    })
  }

//查看相亲资料
export function checkInfo (param) {
    return request({
      url: '/verify/detail',
      method: 'get',
      params: param
    })
  }  

//审核操作
export function verifyInfo (param) {
    return request({
      url: '/verify/verify',
      method: 'get',
      params: param
    })
  }        